# {{ ansible_managed }}

server {

  listen 443 ssl;
  server_name {{ inventory_hostname }};

  ssl_certificate /etc/letsencrypt/live/{{ inventory_hostname }}/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/{{ inventory_hostname }}/privkey.pem;
  include /etc/letsencrypt/options-ssl-nginx.conf;
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;

  proxy_read_timeout 720s;
  proxy_connect_timeout 720s;
  proxy_send_timeout 720s;

  proxy_set_header X-Forwarded-Host $host;
  proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
  proxy_set_header X-Forwarded-Proto $scheme;
  proxy_set_header X-Real-IP $remote_addr;

  access_log /var/log/nginx/mm_proxy.access.log;
  error_log /var/log/nginx/mm_proxy.error.log;

  gzip_types text/plain application/json;
  gzip on;

  location / {
    include proxy_params;
    proxy_pass http://mm_proxy;

    auth_basic           "closed site";
    auth_basic_user_file {{ deploy_path }}/.htpasswd;
  }
}

